Package org.springframework.security.web.authentication.preauth.websphere

# Class WebSpherePreAuthenticatedWebAuthenticationDetailsSource

java.lang.Object
org.springframework.security.web.authentication.preauth.websphere.WebSpherePreAuthenticatedWebAuthenticationDetailsSource

All Implemented Interfaces:
  `org.springframework.security.authentication.AuthenticationDetailsSource<jakarta.servlet.http.HttpServletRequest,PreAuthenticatedGrantedAuthoritiesWebAuthenticationDetails>`

public class WebSpherePreAuthenticatedWebAuthenticationDetailsSource extends Object implements org.springframework.security.authentication.AuthenticationDetailsSource<jakarta.servlet.http.HttpServletRequest,PreAuthenticatedGrantedAuthoritiesWebAuthenticationDetails>
This AuthenticationDetailsSource implementation will set the pre-authenticated granted authorities based on the WebSphere groups for the current WebSphere user, mapped using the configured Attributes2GrantedAuthoritiesMapper.

## Constructor Summary

Constructors
Constructor
Description
`WebSpherePreAuthenticatedWebAuthenticationDetailsSource()`
`WebSpherePreAuthenticatedWebAuthenticationDetailsSource(org.springframework.security.web.authentication.preauth.websphere.WASUsernameAndGroupsExtractor wasHelper)`

## Method Summary

Modifier and Type
Method
Description
`PreAuthenticatedGrantedAuthoritiesWebAuthenticationDetails`
`buildDetails(jakarta.servlet.http.HttpServletRequest context)`
`void`
`setWebSphereGroups2GrantedAuthoritiesMapper(org.springframework.security.core.authority.mapping.Attributes2GrantedAuthoritiesMapper mapper)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebSpherePreAuthenticatedWebAuthenticationDetailsSource

public WebSpherePreAuthenticatedWebAuthenticationDetailsSource()

### WebSpherePreAuthenticatedWebAuthenticationDetailsSource

public WebSpherePreAuthenticatedWebAuthenticationDetailsSource(org.springframework.security.web.authentication.preauth.websphere.WASUsernameAndGroupsExtractor wasHelper)

## Method Details

### buildDetails

public PreAuthenticatedGrantedAuthoritiesWebAuthenticationDetails buildDetails(jakarta.servlet.http.HttpServletRequest context)

Specified by:
  `buildDetails` in interface `org.springframework.security.authentication.AuthenticationDetailsSource<jakarta.servlet.http.HttpServletRequest,PreAuthenticatedGrantedAuthoritiesWebAuthenticationDetails>`

### setWebSphereGroups2GrantedAuthoritiesMapper

public void setWebSphereGroups2GrantedAuthoritiesMapper(org.springframework.security.core.authority.mapping.Attributes2GrantedAuthoritiesMapper mapper)

Parameters:
  `mapper` - The Attributes2GrantedAuthoritiesMapper to use for converting the WAS groups to authorities